com.mapinfo.midev.tabledepot

## Class TableDepot

- java.lang.Object
- - com.mapinfo.midev.tabledepot.TableDepot

All Implemented Interfaces:
  Serializable, Iterable

    public final class TableDepot
    extends Object
    implements Iterable, Serializable

The `TableDepot` serves the same function as an Oracle or SQL Server database: a central location where all tables are located.

See Also:
  Serialized Form

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `contains(String tableName)` Returns `true` if an ITable with the specified name exists in the TableDepot; `false` if not.
`Set` `getTableNames()` Returns a read-only `Set` of table names in the TableDepot.
`Collection` `getTables()` Returns a read-only `Collection` of ITables in the TableDepot.
`boolean` `isEmpty()` Returns `true` if the TableDepot does not contain any ITables; `false` if not.
`Iterator` `iterator()` Returns a read-only Iterator of ITable's in the TableDepot.
`int` `size()` Returns the number of ITables in the TableDepot.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Method Detail

#### contains

    public boolean contains(String tableName)

Returns `true` if an ITable with the specified name exists in the TableDepot; `false` if not.

Parameters:
  `tableName` - The name of the ITable to check for containment within the TableDepot.
Returns:
  `true` if an ITable with the specified name exists in the TableDepot; `false` if not.

#### isEmpty

    public boolean isEmpty()

Returns `true` if the TableDepot does not contain any ITables; `false` if not.

Returns:
  `true` if the TableDepot does not contain any ITables; `false` if not.

#### size

    public int size()

Returns the number of ITables in the TableDepot.

Returns:
  the number of ITables in the TableDepot.

#### iterator

    public Iterator iterator()

Returns a read-only Iterator of ITable's in the TableDepot.

Specified by:
  `iterator` in interface `Iterable`
Returns:
  a read-only Iterator of ITable's in the TableDepot.

#### getTableNames

    public Set getTableNames()

Returns a read-only `Set` of table names in the TableDepot.

Returns:
  a read-only `Set` of table names in the TableDepot.

#### getTables

    public Collection getTables()

Returns a read-only `Collection` of ITables in the TableDepot.

Returns:
  a read-only `Collection` of ITables in the TableDepot.